<?

if (!$user) {
	Redirection('/user/');
}
$PageConfig = [
	'title' => 'Изменение статуса',
];
PageConfig($PageConfig);

if (isset($_POST['save'])) {
	if (FileSystem::TextStrlen($_POST['status']) > 120) {
		$err[] = 'Статус слишком большой 120 симв. max';
	}
    if (!isset($err)) {
        $sql->query("UPDATE `users` SET `status` = ? WHERE `id` = '{$user['id']}' LIMIT 1;", [$_POST['status']]);
		CacheDelete::user($user['id']);
		Redirection('?','Успешно');
    }
}
if (isset($err)) {
	err($err);
}
echo $t->fetch('user.status');